---
title: "MessageFormat / compile"
parent: "@messageformat/core"
grand_parent: API Reference
nav_exclude: true
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->



# MessageFormat.compile() method

Compile a message into a function

<b>Signature:</b>

```typescript
compile(message: string): MessageFunction<ReturnType>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  message | string | The input message to be compiled, in ICU MessageFormat |

<b>Returns:</b>

[MessageFunction](./core.messagefunction.md)<!-- -->&lt;ReturnType&gt;

The compiled function

## Remarks

Given a string `message` with ICU MessageFormat declarations, the result is a function taking a single Object parameter representing each of the input's defined variables, using the first valid locale.

## Example


```js
const mf = new MessageFormat('en')
const msg = mf.compile('A {TYPE} example.')

msg({ TYPE: 'simple' })  // 'A simple example.'
```

