---
title: "MessageFormatOptions"
parent: "@messageformat/core"
grand_parent: API Reference
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->



# MessageFormatOptions interface

Options for the MessageFormat constructor

<b>Signature:</b>

```typescript
export interface MessageFormatOptions<ReturnType extends 'string' | 'values' = 'string' | 'values'> 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [biDiSupport?](./core.messageformatoptions.bidisupport.md) |  | boolean | <p><i>(Optional)</i> Add Unicode control characters to all input parts to preserve the integrity of the output when mixing LTR and RTL text</p><p>Default: <code>false</code></p> |
|  [currency?](./core.messageformatoptions.currency.md) |  | string | <p><i>(Optional)</i> The currency to use when formatting <code>{V, number, currency}</code></p><p>Default: <code>USD</code></p> |
|  [customFormatters?](./core.messageformatoptions.customformatters.md) |  | { \[key: string\]: [CustomFormatter](./core.customformatter.md) \| { formatter: [CustomFormatter](./core.customformatter.md)<!-- -->; arg?: 'string' \| 'raw' \| 'options'; id?: string; module?: string; }; } | <i>(Optional)</i> Map of custom formatting functions to include. See [Custom Formatters](https://messageformat.github.io/messageformat/custom-formatters/) for more details. |
|  [requireAllArguments?](./core.messageformatoptions.requireallarguments.md) |  | boolean | <p><i>(Optional)</i> Require all message arguments to be set with a defined value</p><p>Default: <code>false</code></p> |
|  [returnType?](./core.messageformatoptions.returntype.md) |  | ReturnType | <p><i>(Optional)</i> Return type of compiled functions; either a concatenated <code>'string'</code> or an array (possibly hierarchical) of <code>'values'</code>.</p><p>Default: <code>'string'</code></p> |
|  [strict?](./core.messageformatoptions.strict.md) |  | boolean | <p><i>(Optional)</i> Follow the ICU MessageFormat spec more closely, but not allowing custom formatters and by allowing<code>#</code> only directly within a plural or selectordinal case, rather than in any inner select case as well. See the [parser option](http://messageformat.github.io/messageformat/api/parser.parseoptions.strict/) for more details.</p><p>Default: <code>false</code></p> |

