---
title: "@messageformat/date-skeleton"
parent: API Reference
has_children: true
has_toc: false
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->



# date-skeleton package

Tools for working with [ICU DateFormat skeletons](http://userguide.icu-project.org/formatparse/datetime)<!-- -->.

## Remarks


```js
import {
  DateFormatError,
  DateToken, // TS only
  getDateFormatter,
  getDateFormatterSource,
  parseDateTokens
} from '@messageformat/date-skeleton'
```
The package is released as an ES module only. If using from a CommonJS context, you may need to `import()` it, or use a module loader like [esm](https://www.npmjs.com/package/esm)<!-- -->.

Uses [Intl.DateTimeFormat](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/DateTimeFormat) internally. Position-dependent ICU DateFormat [patterns](https://unicode.org/reports/tr35/tr35-dates.html#Date_Format_Patterns) are not supported, as they cannot be represented with Intl.DateTimeFormat options.

## Classes

|  Class | Description |
|  --- | --- |
|  [DateFormatError](./date-skeleton.dateformaterror.md) | Parent class for errors. |

## Functions

|  Function | Description |
|  --- | --- |
|  [getDateFormatter(locales, tokens, onError)](./date-skeleton.getdateformatter.md) | Returns a date formatter function for the given locales and date skeleton |
|  [getDateFormatterSource(locales, tokens, onError)](./date-skeleton.getdateformattersource.md) | Returns a string of JavaScript source that evaluates to a date formatter function with the same <code>(date: Date &#124; number) =&gt; string</code> signature as the function returned by [getDateFormatter()](./date-skeleton.getdateformatter.md)<!-- -->. |
|  [parseDateTokens(src)](./date-skeleton.parsedatetokens.md) | Parse an [ICU DateFormat skeleton](http://userguide.icu-project.org/formatparse/datetime) string into a [DateToken](./date-skeleton.datetoken.md) array. |

## Type Aliases

|  Type Alias | Description |
|  --- | --- |
|  [DateToken](./date-skeleton.datetoken.md) | An object representation of a parsed date skeleton token |

