---
title: "compileMF1Message"
parent: "@messageformat/icu-messageformat-1"
grand_parent: API Reference
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->



# compileMF1Message() function

> This API is provided as a preview for developers and may change based on feedback that we receive. Do not use this API in a production environment.
> 

Compile an ICU MessageFormat 1 message into a [MessageFormat](./messageformat.messageformat.md) instance.

A runtime provided by [getMF1Runtime](./icu-messageformat-1.getmf1runtime.md) is automatically used in these instances.

<b>Signature:</b>

```typescript
export declare function compileMF1Message(source: string | Message, locale: string, { strict, ...opt }?: MF1Options & MessageFormatOptions): MessageFormat;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  source | string \| [Message](./messageformat.message.md) | An ICU MessageFormat message, either as its string contents, or as a [Message](./messageformat.message.md) data structure. |
|  locale | string | The locale code to use for the message. |
|  { strict, ...opt } | [MF1Options](./icu-messageformat-1.mf1options.md) &amp; [MessageFormatOptions](./messageformat.messageformatoptions.md) | <i>(Optional)</i> |

<b>Returns:</b>

[MessageFormat](./messageformat.messageformat.md)

