---
title: "Expression"
parent: "messageformat"
grand_parent: API Reference
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->



# Expression interface

> This API is provided as a preview for developers and may change based on feedback that we receive. Do not use this API in a production environment.
> 

To resolve an Expression, an externally defined function is called.

<b>Signature:</b>

```typescript
export interface Expression 
```

## Remarks

The `name` identifies a function that takes in the arguments `args`<!-- -->, the current locale, as well as any `options`<!-- -->, and returns some corresponding output. Likely functions available by default would include `'plural'` for determining the plural category of a numeric value, as well as `'number'` and `'date'` for formatting values.

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [name](./messageformat.expression.name.md) |  | string | <b><i>(BETA)</i></b> |
|  [operand?](./messageformat.expression.operand.md) |  | [Literal](./messageformat.literal.md) \| [VariableRef](./messageformat.variableref.md) | <b><i>(BETA)</i></b> <i>(Optional)</i> |
|  [options?](./messageformat.expression.options.md) |  | Option\[\] | <b><i>(BETA)</i></b> <i>(Optional)</i> |
|  [type](./messageformat.expression.type.md) |  | 'expression' | <b><i>(BETA)</i></b> |

