---
title: "Select"
parent: "@messageformat/parser"
grand_parent: API Reference
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->



# Select interface

A selector between multiple variants

<b>Signature:</b>

```typescript
export interface Select 
```

## Remarks

The value of the `arg` input variable determines which of the `cases` is used as the output value of this placeholder.

For `plural` and `selectordinal`<!-- -->, the value of `arg` is expected to be numeric, and will be matched either to an exact case with a key like `=3`<!-- -->, or to a case with a key that has a matching plural category as the input number.

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [arg](./parser.select.arg.md) |  | string |  |
|  [cases](./parser.select.cases.md) |  | [SelectCase](./parser.selectcase.md)<!-- -->\[\] |  |
|  [ctx](./parser.select.ctx.md) |  | [Context](./parser.context.md) |  |
|  [pluralOffset?](./parser.select.pluraloffset.md) |  | number | <i>(Optional)</i> |
|  [type](./parser.select.type.md) |  | 'plural' \| 'select' \| 'selectordinal' |  |

